﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Shared;

namespace TabControlExt_124023
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
         InitializeComponent();         
         UserControl newTable = new TableEditor() ;        
         TableDockingManager.BeginInit();
         TableDockingManager.UseDocumentContainer = true;
         DockingManager.SetDockingManager(newTable, TableDockingManager);
        DockingManager.SetHeader(newTable, "Table03");
         DockingManager.SetState(newTable, DockState.Document);
         DockingManager.SetDesiredMinWidthInDockedMode(newTable, 200);
         TableDockingManager.Children.Add(newTable);
         TableDockingManager.EndInit();
         (TableDockingManager.DocContainer as DocumentContainer).Loaded += MainWindow_Loaded;

        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            (TableDockingManager.DocContainer as DocumentContainer).DocumentClosing += MainWindow_DocumentClosing;
        }

        void MainWindow_DocumentClosing(object sender, CancelingRoutedEventArgs e)
        {
           e.Cancel = true;
        }

              

        private void TableDockingManager_DockStateChanging(FrameworkElement sender, DockStateChangingEventArgs e)
        {
            e.Cancel = true;
        }


        
       
       
    }
}
